Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1578223 - Review Request: python-yapf - A formatter for Python code
Summary: Review Request: python-yapf - A formatter for Python code
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2018-05-15 04:56 UTC by Evan Klitzke
Modified: 2019-04-01 17:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-01 17:00:13 UTC


Attachments (Terms of Use)

Description Evan Klitzke 2018-05-15 04:56:44 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eklitzke/python-yapf/fedora-rawhide-x86_64/00754180-python-yapf/yapf.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eklitzke/python-yapf/fedora-rawhide-x86_64/00754180-python-yapf/python-yapf-0.21.0-3.fc29.src.rpm

Description: YAPF is Yet Another Python Formatter. It automatically reformats source files to conform to conform to PEP 8 and other Python coding best practices.

FAS account: eklitzke

Comment 1 Robert-André Mauchin 2018-05-16 14:55:48 UTC
 - Name your SPEC the same name as the package, i.e. python-yapf

 - The license shorhand is wrong, it should be "ASL 2.0"

 - Set a URL, for example: 

URL:            https://github.com/google/yapf

 - Bump to version 0.22.0, released yesterday



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 2 files have unknown license. Detailed output of licensecheck
     in /home/bob/packaging/review/python-yapf/review-python-
     yapf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-yapf , python3-yapf
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-yapf-0.21.0-3.fc29.noarch.rpm
          python3-yapf-0.21.0-3.fc29.noarch.rpm
          python-yapf-0.21.0-3.fc29.src.rpm
python2-yapf.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python2-yapf.noarch: W: spelling-error %description -l en_US reformats -> reformat, re formats, re-formats
python2-yapf.noarch: W: invalid-license Apache License, Version 2.0
python2-yapf.noarch: W: invalid-url URL None
python3-yapf.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python3-yapf.noarch: W: spelling-error %description -l en_US reformats -> reformat, re formats, re-formats
python3-yapf.noarch: W: invalid-license Apache License, Version 2.0
python3-yapf.noarch: W: invalid-url URL None
python3-yapf.noarch: W: no-manual-page-for-binary yapf
python-yapf.src: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python-yapf.src: W: spelling-error %description -l en_US reformats -> reformat, re formats, re-formats
python-yapf.src: W: invalid-license Apache License, Version 2.0
python-yapf.src: W: invalid-url URL None
3 packages and 0 specfiles checked; 0 errors, 13 warnings.

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-05-17 16:13:45 UTC
> # Remove bundled egg-info
> rm -rf %{pypi_name}.egg-info
.egg-info should stay. It's only binary eggs that are supposed to be deleted, but that's not the case here.

Comment 3 Dick Marinus 2018-05-20 19:34:17 UTC
v0.22.0 has been released, I've pushed some commits for you to the reported issues:
https://github.com/eklitzke/yapf-rpm/pull/4

I've created a PR to include the license file upstream:
https://github.com/google/yapf/pull/570

Comment 4 Dick Marinus 2018-05-23 08:32:36 UTC
https://github.com/google/yapf/pull/570 has been merged, the next release of yapf should include a license file!

Comment 5 Fabian Affolter 2019-01-22 17:04:19 UTC
FYI, 0.25.0 is available.

Comment 6 Luis Bazan 2019-03-23 14:48:25 UTC
Hi team --

Submitter does not reply.
Review stalled.

0.26.0 is available.

I can continue with this review.?
https://bugzilla.redhat.com/show_bug.cgi?id=1691609

Cheers,

Comment 7 Luis Bazan 2019-04-01 17:00:13 UTC
It's been over a week with no response from the requestor.

Closing as per policy.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews?rd=Extras

Cheers,


Note You need to log in before you can comment on or make changes to this bug.